
Figure - Bug #117742
【IOVDEV-25086】【IOV测试】【VC1】【SORP】【声音竞合】【实车306】主屏通话中，副屏可以电话会议
2023-05-04 14:08 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-04

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 中控版本：03.02.0072.C101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 当前现象确定为：��1.中控通话时，副屏如果在通话中，则不发出任何声音，包括mic。��2.中控通话时，副屏接到VOIP，接通后依然无声，包括mic。��3.副屏在触发了无声现象后，挂断副屏电话可以继续出声，中控挂断，副屏未挂断时，依然是无声状态。

Description

【前提条件】：

车机上电、网络状态良好、时间显示正确、 账号登录正确

【操作步骤】：

1、主屏通话中

2、副屏发起电话会议

【实际结果】：

1、副屏会议可以接通

【期望结果】：

1、通话中电话会议请求失败

【研发解决问题依赖】：

1、问题发生环境：EE

2、车机VIN号:LJD8BC3F1P0000306

3、bug时间：2023/4/27    1312

【备注】：

【软件版本号】：

IDCM版本号:     03.02.0072.C101

Related issues:

Related to Figure - Bug # 117818: 【IOVDEV-25995】【IOV测试】【V... CLOSED 2023-05-08

History

#1 - 2023-05-04 22:27 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to Multimedia组-RD3_TSCD 梁卿山

#2 - 2023-05-05 10:40 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

Hi ALL,

当前分析：

从日志来看，在主屏通话时，焦点给应用返回的是获取焦点失败，但是应用依然可以接通；

该问题为应用自身逻辑；

其他机型对比：

测试机型：小米11 ultra，小米13
测试APP：飞书，QQ

测试次数：10

测试结果：10/10

测试现象：在通话时，依然可以接收到VOIP通话进来。

05-04 02:30:09.831  1085  2695 D AS.AudioService: idcm_af:requestAudioFocus, call: com.ss.android.lark ★★★

05-04 02:30:09.831  1085  2695 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus,  streamtype = 0

05-04 02:30:09.831  1085  2695 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus: AudioFocus_VoiceCall

05-04 02:30:09.831  1085  2695 D AudioIDCMicroNegotiator: idcm_common:requestResult method = requestAudioFocus parameters =

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}

05-04 02:30:09.831  1085  2695 I MicroServiceManager: requestResult(requestAudioFocus) parameters

is{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}.

05-04 02:30:09.831  1085  2695 D AudioIDCMicroNegotiator: idcm_af:updateAudioInfo

05-04 02:30:09.831  1085  2695 D AudioIDCMicroNegotiator: idcm_af:obtainFocusState

05-04 02:30:09.891  2133  8615 I MicroService: onResponse(requestAudioFocus):

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_FAILED"}}

05-04 02:30:09.894  1085  8437 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = requestAudioFocus parameters =

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_FAILED"}} ★★★

05-04 02:30:09.894  1085  8437 D AudioIDCMicroNegotiator: idcm_af:onAudioFocusStateChanged type=AudioFocus_VoiceCall, result =

AUDIOFOCUS_REQUEST_FAILED timeout= false

05-04 02:30:09.894  1085  8437 D AudioIDCMicroNegotiator: idcm_af:notifyFocusState -> notify

05-04 02:30:09.894  1085  2695 D AudioIDCMicroNegotiator: idcm_af:obtainFocusState, return: 0 mIsTimeout= false time= 63 ★★★

05-04 02:30:09.894  1085  1902 D AudioIDCMicroNegotiator: idcm_af:wait messsage done -> onAudioFocusRemoteChanged 

05-04 02:30:09.894  1085  1902 D AudioService.PlaybackActivityMonitor: idcm_af:onAudioFocusRemoteChanged: 0 info= RequestInfosToIDCM{mPid=7311,

mUid=10104}

05-04 02:30:09.894  1085  1902 D AS.AudioService: idcm_af:onAudioFocusIDCMicroChanged: 0 info: RequestInfosToIDCM{mPid=7311, mUid=10104} ★★★

05-04 02:30:09.894  1085  1902 D MediaFocusControl: audio_idcm: updateCurrentAudioFocus: mFocusStack is null, return

#3 - 2023-05-18 14:00 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

当前能采取的方案是mute，无法直接挂断，

具体现象为：

1.副屏在中控通话时，mute副屏的VOIP通话和mic，不影响中控的通话。

具体提交

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/199764

https://dev.thundercomm.com/gerrit/c/general/platform/hardware/qcom/audio/+/201008

该方案还需要中控配合，还在和客户确认中

#4 - 2023-05-22 15:20 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

201008 general/platform/hardware/qcom/audi

o

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

tangyj0127@thundersoft.com
MM: Audio: VOIP mute in halVOIP mute in halTC-RID: 0301-0900116IssueID: TS-R-BUG-117742Change-Id: I762f4e23f03be201954b2fe49469b8ea8edb4b40

#5 - 2023-05-22 15:20 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

201017 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: VOIP mute in loss focusVOIP mute in loss focusTC-RID: 0301-0900116IssueID: TS-R-BUG-117742Change-Id:

I183b9b19f0e221b36e0336c7cd0ee7e9bd2fa9d1

#6 - 2023-05-22 15:23 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

当前客户确定的结果：

当前采用mute操作，由于unmute时机不能确定，所以unmute依赖中控，当前在不挂断时先保持mute状态。

#7 - 2023-05-25 10:18 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 当前现象确定为：

1.中控通话时，副屏如果在通话中，则不发出任何声音，包括mic。

2.中控通话时，副屏接到VOIP，接通后依然无声，包括mic。

3.副屏在触发了无声现象后，挂断副屏电话可以继续出声，中控挂断，副屏未挂断时，依然是无声状态。

HI 永红

当前现象确定为：

1.中控通话时，副屏如果在通话中，则不发出任何声音，包括mic。

2.中控通话时，副屏接到VOIP，接通后依然无声，包括mic。

3.副屏在触发了无声现象后，挂断副屏电话可以继续出声，中控挂断，副屏未挂断时，依然是无声状态。

#8 - 2023-05-26 18:56 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

验证通过，关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202305260126

#9 - 2023-05-26 18:57 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED
Files

log.7z 3.39 MB 2023-05-04 CDTS_Test 吴诗雨

飞书20230427-131951.mp4 2.49 MB 2023-05-04 CDTS_Test 吴诗雨
